import { EventName } from '@lit/react';
import { WeavyComponents } from '@weavy/uikit-web';
import { WyPreviewCloseEventType, WyPreviewOpenEventType } from '@weavy/uikit-web/dist/types/types/files.events.js';
export declare const WyPreview: import('@lit/react').ReactWebComponent<WeavyComponents.WyPreview, {
    onReleaseFocus: EventName<CustomEvent>;
    onWyPreviewOpen: EventName<WyPreviewOpenEventType>;
    onWyPreviewClose: EventName<WyPreviewCloseEventType>;
}>;
export declare const WyPreviewItem: import('@lit/react').ReactWebComponent<WeavyComponents.WyPreviewItem, {}>;
export declare const WyPreviewEmbed: import('@lit/react').ReactWebComponent<WeavyComponents.WyPreviewEmbed, {}>;
export declare const WyPreviewIcon: import('@lit/react').ReactWebComponent<WeavyComponents.WyPreviewIcon, {}>;
export declare const WyPreviewImage: import('@lit/react').ReactWebComponent<WeavyComponents.WyPreviewImage, {}>;
export declare const WyPreviewMedia: import('@lit/react').ReactWebComponent<WeavyComponents.WyPreviewMedia, {}>;
export declare const WyPreviewText: import('@lit/react').ReactWebComponent<WeavyComponents.WyPreviewText, {}>;
export type { WyPreviewOpenEventType, WyPreviewCloseEventType };
